package formules;import fr.ifremer.isisfish.entities.*;import org.codelutin.math.matrix.*;import fr.ifremer.isisfish.types.Date;import fr.ifremer.isisfish.types.Month;import fr.ifremer.isisfish.types.RangeOfValues;import fr.ifremer.isisfish.types.TimeUnit;import java.util.*;public class fr_ifremer_isisfish_entities_Equation_1212053151598_0_585864442398133 implements fr.ifremer.isisfish.equation.PopulationPrice {public double compute(fr.ifremer.isisfish.simulator.SimulationContext context, fr.ifremer.isisfish.entities.PopulationGroup group) throws Exception {if (group == null) return 0;
  switch (group.getId()) {
    case 0: return 0.61;
    case 1: return 0.61;
    case 2: return 0.61;
    case 3: return 0.61;
    case 4: return 0.61;
    case 5: return 0.61;
    case 6: return 0.61;
    case 7: return 0.61;
    case 8: return 0.61;
    case 9: return 0.61;
    case 10: return 0.61;
    case 11: return 0.61;
    case 12: return 0.61;
    case 13: return 0.61;
    case 14: return 0.61;
    case 15: return 0.61;
    case 16: return 0.61;
    default: return 0;
  }

}
}
